Summary: A collection of user-contributed X Window System programs.
Name: X11R6-contrib
Version: 3.3.2
Release: 11
Copyright: MIT
Group: User Interface/X
Source0: fpt://ftp.xfree86.org/pub/XFree86/3.3.2/sources/X332contrib.tgz
Patch1: x11r6-contrib-3.1.2-rhs.patch
Patch2: x11r6-contrib-3.1.2-mandoc.patch
Patch3: x11r6-contrib-3.1.2-sparc.patch
Patch4: X11R6-contrib-3.3.1-pthreads.patch
Patch5: X11R6-contrib-3.3.2-xcalcfix.patch
BuildRoot: /var/tmp/X11R6-contrib-root

%description
X11R6 contains many useful programs  from the X Window System, 
version 11, release 6 contrib tape. The programs, contributed by 
various users, include listres, xbiff, xedit, xeyes, xcalc, xload 
and xman, among others.

If you're using X, you should install X11R6-contrib.  You will also 
need to install the XFree86 package, the XFree86 package which 
corresponds to your video card, one of the XFree86 fonts packages, the 
Xconfigurator package and the XFree86-libs package.

Finally, if you are going to develop applications that run as X clients, 
you will also need to install XFree86-devel.

%prep
%setup -c -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .xcalcfix

%build
cd contrib
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT

cd contrib
make DESTDIR=$RPM_BUILD_ROOT install install.man

( cd $RPM_BUILD_ROOT
# xload doesn't need to be setuid
  chmod 755 ./usr/X11R6/bin/xload

  mkdir -p ./etc/X11/applnk/Utilities
  mkdir -p ./etc/X11/applnk/Games
  cat > ./etc/X11/applnk/Utilities/xcalc.desktop <<EOF
[Desktop Entry]
Name=Calculator
Type=Application
Comment=simple desktop calculator
Exec=xcalc
EOF

  cat > ./etc/X11/applnk/Utilities/xditview.desktop <<EOF
[Desktop Entry]
Name=xditview
Type=Application
Comment=DiTroff previewer
Exec=xditview
EOF

  cat > ./etc/X11/applnk/Utilities/xedit.desktop <<EOF
[Desktop Entry]
Name=xedit
Type=Application
Comment=small, original X Editor
Exec=xedit %f
EOF

  cat > ./etc/X11/applnk/Games/xeyes.desktop <<EOF
[Desktop Entry]
Name=xeyes
Type=Application
Comment=eyes follow mouse around desktop
Exec=xeyes
EOF

  cat > ./etc/X11/applnk/Utilities/xfontsel.desktop <<EOF
[Desktop Entry]
Name=Font Selector
Type=Application
Comment=Preview specific fonts from list of available fonts
Exec=xfontsel
EOF

  cat > ./etc/X11/applnk/Utilities/xload.desktop <<EOF
[Desktop Entry]
Name=Load Monitor
Type=Application
Comment=Display system load
Exec=xload
EOF

  cat > ./etc/X11/applnk/Utilities/xman.desktop <<EOF
[Desktop Entry]
Name=xman
Type=Application
Comment=graphical man page reader
Exec=xman
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/app-defaults/*
/usr/X11R6/lib/X11/xman.help
/usr/X11R6/man/man1/*
/etc/X11/applnk/*

%changelog
* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- final rpn fix for xcalc (#7795)

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- wmconfig --> .desktop
- standard permissions for xload.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description and summary
- man pages are compressed

* Wed Jan 19 2000 Preston Brown <pbrown@redhat.com>
- xcalc fixes (#7795)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 3.3.2

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig
